Item China Tax Setting Feed Batch set the tax type of items that is enabled for shipping to China. Resource URL
Newegg.com: https://api.newegg.com/marketplace/datafeedmgmt/feeds/submitfeed?sellerid={sellerid}&requesttype={RequestType}Note: Please make sure your request URL is all in lower case (except for Seller ID) and cannot contain any blank spaces or line breaks. Parameters
NameRequired?DescriptionselleridYesYour seller ID on Newegg MarketplaceRequestTypeYesValue: ITEM_CHINATAXSETTING_DATA
Resource Information
HTTP MethodAuthentication?Request FormatsResponse FormatsRate Limited?POSTRequiredXML, JsonXML, Json1000 request per hour
Note: Maximum Size of Request 10,000 records per file. Limit 30,000 records per hour. Request Body
AttributeRequired?FormatDescriptionDocumentVersionYesDecimalFixed value: 1.0MessageTypeYesStringFixed value: ItemChinaTaxSettingSellerPartNumberYes, if NeweggItemNumber not providedStringThe item’s seller part number. It will be used to identify the item to set tax type for item shipped to China.NeweggItemNumberYes, if SellerPartNumber not providedStringNewegg's assigned number to item. It will be used to identify the item to set tax type for item shipped to China.TaxDutyTypeYesStringIdentify the tax and duty rules for items shipped to China by seller directly. Available values:
Default: Follow the account level setting.
DDU: Deliver Duties Unpaid. No duty or tax will be added to orders Customers are responsible for additional duties and taxes during the customs clearance.
DDP: Deliver Duties Paid. Duties and taxes will be collected while customers placing orders. Sellers are responsible to pay all duties and taxes directly. Collected amount will be remit to sellers along with regular payment transactions.
ATI: All tax included. All duties and taxes are included in item’s selling price. No duty or tax will be added to orders. Sellers are responsible to pay all duties and taxes directly.
ImportTypeYesStringIdentify the order import type for calculating the correct tax amount for items shipping to China by Seller (SBS). Available values:
Default: Follow the account level setting.
EE: Taxes will be calculated as personal shipments. Recipient’s photo ID number and the copy of ID will be provided for processing orders.
EEP: Taxes will be calculated as business to customer direct shipments, known as Cross-Border e-Commerce. Payment holder’s photo ID number will be provided for processing orders.
Schema: ItemChinaTaxSetting.xsd Example: XML, Request
POST https://api.newegg.com/marketplace/datafeedmgmt/feeds/submitfeed?sellerid={sellerid}&requesttype=ITEM_CHINATAXSETTING_DATA
Authorization: 720ddc067f4d115bd544aff46bc75634
SecretKey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/xml
Accept: application/xml
<?xml version="1.0" encoding="UTF-8"?>
<NeweggEnvelope xsi:noNamespaceSchemaLocation="NeweggEnvelope.xsd"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
<Header>
<DocumentVersion>1.0</DocumentVersion>
<!--The identifier for the very of current feed; assigned by Newegg-->
</Header>
<MessageType>ItemChinaTaxSetting</MessageType>
<Message>
<ChinaTaxSetting>
<Item>
<SellerPartNumber>a006-test-001</SellerPartNumber>
<!--A seller-defined unique identifier for an item. An alphanumeric string, max 40 characters including space-->
<NeweggItemNumber>9SIAWE50008504</NeweggItemNumber>
<!--Newegg’s unique identifier for an item-->
<TaxDutyType>Default</TaxDutyType>
<ImportType>EEP</ImportType>
</Item>
</ChinaTaxSetting>
</Message>
</NeweggEnvelope>Example: Json, Request
POST https://api.newegg.com/marketplace/datafeedmgmt/feeds/submitfeed?sellerid={sellerid}&requesttype=ITEM_CHINATAXSETTING_DATA
Authorization: 720ddc067f4d115bd544aff46bc75634
SecretKey: 21EC2020-3AEA-1069-A2DD-08002B30309D
Content-Type: application/json
Accept: application/json
{
"NeweggEnvelope": {
"-xmlns:xsi": "http://www.w3.org/2001/XMLSchema-instance",
"-xsi:noNamespaceSchemaLocation": "NeweggEnvelop.xsd",
"Header": {
"DocumentVersion": "1.0"
},
"MessageType": "ItemChinaTaxSetting",
"Message": {
"ChinaTaxSetting": {
"Item": {
"SellerPartNumber": "a006-test-001",
"NeweggItemNumber": "9SIAWE50008504",
"TaxDutyType": "Default",
"ImportType": "EEP"
}
}
}
}
}Response Body
AttributeFormatDescriptionIsSuccessStringGet feed status operation: True: Successful False: Not successfulOperationTypeStringFixed value: SubmitFeedResponseSellerIDStringYour seller IDRequestTypeStringValue: ITEM_CHINATAXSETTING_DATARequestDateStringThe date when the feed was submitted. (Pacific Standard Time)RequestStatusStringThe status of the feed submission: SUBMITTEDMemoStringAdditional Information
Schema: SubmitFeedResponse.xsd Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<NeweggAPIResponse>
<IsSuccess>true</IsSuccess>
<OperationType>SubmitFeedResponse</OperationType>
<SellerID>A006</SellerID>
<ResponseBody>
<ResponseList>
<ResponseInfo>
<RequestId>2291326430</RequestId>
<RequestType>ITEM_CHINATAXSETTING_DATA</RequestType>
<RequestDate>2/16/2012 12:29:19</RequestDate>
<RequestStatus>SUBMITTED</RequestStatus>
</ResponseInfo>
</ResponseList>
</ResponseBody>
<Memo />
</NeweggAPIResponse>Example: Json, Response
{
"IsSuccess": true,
"OperationType": "SubmitFeedResponse",
"ResponseBody": {
"ResponseList": [
{
"RequestDate": "2/22/2012 17:24:35",
"RequestId": "2PQCX3CMQ82MK",
"RequestStatus": "SUBMITTED",
"RequestType": "ITEM_CHINATAXSETTING_DATA"
}
]
},
"SellerID": "A006"
}Request Failure Errors For common HTTP error responses, please refer to Failed Response Error Code List.
Error CodeDescriptionDF003The MaxCount (maximum request records) CANNOT be over 30000.DF004Unfortunately, we are unable to process your request at this time. We apologize for the inconvenience. Please try again later.DF011Your data feed request will not be processed during the scheduled data feed processing restriction from [{begin timestamp: hh:mm:ss, MM/DD/YYYY}] to [{end timestamp: hh:mm:ss, MM/DD/YYYY}]). Please contact datafeeds@newegg.com if you have any question or concern. Thank you for your patience.
Example: XML, Response
<?xml version="1.0" encoding="utf-8"?>
<Errors>
<Error>
<Code>DF003</Code>
<Message>The MaxCount (maximum request records) CANNOT be over 30000</Message>
</Error>
</Errors>Example: Json, Response
[
{
"Code": "DF003",
"Message": "The MaxCount (maximum request records) CANNOT be over 30000"
}
]Last updated: October 15, 2018